[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# ArSinH

Return inverse hyperbolic sine

## Declaration

Source position: math.pp line 377

`function ArSinH(`
`x: Float`
`):Float;`

## Description

arsinh returns the inverse hyperbolic sine of its argument x. The arscsinh variant of this function is supplied for Delphi compatibility.

## Errors

None.

## See also

arcosh |  | Return inverse hyperbolic cosine
arccos |  | Return inverse cosine
arcsin |  | Return inverse sine
artanh |  | Return inverse hyperbolic tangent

## Example

    Program Example4;

    { Program to demonstrate the arsinh function. }

    Uses math;

    begin
      Writeln(arsinh(0));
      Writeln(arsinh(1));
    end.